Subject: Re: [PATCH RFC] net/core: API to create/destroy /sys/class/net entries

From: Stephen Hemminger <[email-masked]>
Date: Wed, 16 Apr 2008 18:12:00 -0700

On Wed, 16 Apr 2008 18:06:26 -0700
Jay Vosburgh <[email-masked]> wrote:

> 
> 	Some background: 
> 
> 	Bonding creates a file in sysfs, /sys/class/net/bonding_masters,

That is a problem because it confuses scripts that use /sys/class/net/X
to find a list of network devices. I.e. that was a bad API choice.